clear all
use Crime_Data.dta

set more off

local i=0
keep if minpop>=40000

local di_cov = "HN"

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN"
local C2 "i.t"
local C3 "c.t##i.st"
local C4 "LogPoliceRate"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"

foreach D of varlist opioid_  theft_opioid_ {

local i=`i'+1
local j=0

local covariates = ""

gen `D'R=`D'/population
gen `D'R2=`D'R*1000000 //multiply the rate by 1,000,000
drop `D'R
ren `D'R2 `D'R

foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'"  {

local j=`j'+1

local covariates = "`K'" + " " + "`covariates'"
di "`covariates'" 

xtreg  `D'R `covariates' [aweight=pop_state_2010], fe cluster(st)
eststo s`i'`j'

}

esttab s`i'1 s`i'2 s`i'3 s`i'4 s`i'5 s`i'6 s`i'7 s`i'8 using tables/`D'_staggered.tex,  b(3) se(3) se ar2 booktabs keep(HN `di_cov') star(* .10 ** .05 *** .01) label replace

}






 
 
