clear all
use Crime_Data.dta

set more off

local i=0
keep if minpop>=40000

sort st t
bys st: egen t13=sum(HN*(year==2013))
bys st: egen t14=sum(HN*(year==2014))
bys st: egen t15=sum(HN*(year==2015))
replace t13=1 if t13>0
replace t14=1 if t14>0
replace t15=1 if t15>0

gen g14=(t14==1)
gen g15=(t15==1 & t14==0)

gen HN14=HN*g14
gen HN15=HN*g15

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN14 HN15"
local C2 "i.t"
local C3 "c.t##i.st"
local C4 "LogPoliceRate"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"
local C9 ""

local j=0

local covariates = ""
foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'" "`C9'" {
local covariates = "`K'" + " " + "`covariates'"
}

foreach D of varlist opioidB_ opioidS_ opioid_ theft_opioid_  {

local i=`i'+1
local j=0

gen `D'R=`D'/population
gen `D'R2=`D'R*1000000 //multiply the rate by 1,000,000
drop `D'R
ren `D'R2 `D'R

xtreg  `D'R `covariates' [aweight=pop_state_2010], fe cluster(st)
eststo s`i'

}
local di_cov = "HN14 HN15"

esttab s1 s2 s3 s4 using tables/All_year_interaction.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') star(* .10 ** .05 *** .01) label replace







 
 
