clear all
use Crime_Data.dta

set more off

local i=0

local di_cov = "HN LogPoliceRate T_GS_HasLaw"

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN"
local C2 "i.t"
local C3 "c.t##i.st"
local C4 "LogPoliceRate"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"

foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'"  {
local covariates = "`K'" + " " + "`covariates'"
}

local i=0

gen theft_opioid_R=theft_opioid_/population
gen theft_opioid_R2=theft_opioid_R*1000000 //multiply the rate by 1,000,000
drop theft_opioid_R
ren theft_opioid_R2 theft_opioid_R


forvalues j=10000(5000)60000 {

local i=`i'+1
preserve
keep if minpop>=`j'
di "`j'"

local x="Pop"+"`j'"

ren theft_opioid_R `x'

di "`l'"

xtreg  `x' `covariates' [aweight=pop_state_2010], fe cluster(st)
eststo s`i'

restore

}

esttab s1 s2 s3 s4 s5 s6 s7 s8 s9 s10 using tables/Theft_Op_Pops.tex,  b(3) se(3) se ar2 booktabs keep(HN ) star(* .10 ** .05 *** .01) label replace
