clear all
set more off
use Google_MET

gen ST_MET=ST+"_"+MET
encode ST_MET, g(mt)
xtset mt my

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN"
local C2 "i.t"
local C3 "c.t##i.st"
local C4 "LogPoliceRate"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"
local C9 ""
  
foreach D of varlist  Naloxone Drugrehab {

local i=`i'+1
local j=0

local covariates = ""

foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'"  {

local j=`j'+1

local covariates = "`K'" + " " + "`covariates'"
di "`covariates'" 

xtreg  `D' `covariates', fe cluster(st)
eststo s`i'`j'
reg `D'
eststo a`i'`j'

}
}

local di_cov = "HN"

esttab s11 s12 s13 s14 s15 s16 s17 s18 using tables/Naloxone_stagger.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') star(* .10 ** .05 *** .01) label replace
esttab s21 s22 s23 s24 s25 s26 s27 s28 using tables/Rehab_stagger.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') star(* .10 ** .05 *** .01) label replace
