clear all
use HCUP_Data.dta
set more off

xtset st qt

local di_cov = "HN"

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN"
local C2 "i.qt"
local C3 "c.t##i.st"
local C4 ""
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"
local C9 ""

foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'" "`C9'" {
local covariates = "`K'" + " " + "`covariates'"
}

local Reg "Midwest Northeast PacificWest South"

local i=0

foreach x of local Reg {

preserve
keep if Region=="`x'"

local x1="All"+"_"+"`x'"

ren ED_Metro `x1'

foreach D of varlist `x1'  {

local i=`i'+1

xtreg  `D' `covariates' , fe cluster(st)
eststo s`i'
reg `D'
eststo a`i'

}

restore

}

esttab s1 s2 s3 s4  using tables/Regions.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') star(* .10 ** .05 *** .01) label replace

