clear all
use HCUP_Data.dta

set more off

xtset st qt

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN"
local C2 "i.qt"
local C3 "c.t##i.st"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"
local C9 ""

label var ED_Total_AllEDVisits "All ED"
label var ED_Metro "All ED Metro"

drop if missing(HN)
bysort st: egen temp1=sum(HN)
bysort st: egen temp2=min(HN)
gen adopter=0
replace adopter=1 if temp1>0 & temp2==0

keep if adopter==1


foreach D of varlist ED_Metro  {

local i=`i'+1
local j=0

local covariates = ""

foreach K in "`C1'" "`C2'" "`C3'" "`C5'" "`C6'" "`C7'" "`C8'" "`C9'"  {

local j=`j'+1

local covariates = "`K'" + " " + "`covariates'"
di "`covariates'" 

}

xtreg  `D' `covariates' , fe cluster(st)
eststo s1

local di_cov = "HN"
esttab s1 using tables/`D'.tex,  b(3) se(3) se ar2 booktabs keep(HN `di_cov') star(* .10 ** .05 *** .01) label replace


}



