****Columns 1 is the estimate in Rees et al. and Column 2 is estimated earlier in the paper.

****STATE LEVEL ANALYSIS, Column 3
clear all
use tempData\Rees_Data_ST.dta

set more off

local i=0
encode ST, g(st) 
xtset st my

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"
label var O_T_GS_HasLaw "Good Samaritan Law (GS)"

label var BeertaxrateDollarsperGallo "Log(Beer Tax)"
label var CigarettetaxperpackDollars "Log(Cigar Tax)"
label var Percapitapersonalincomedoll "Log(Per Capita Income)"
label var Annualaverageunemploymentrate "Log(Unemp. Rate)"
label var MinWage "Log(Min Wage)"
label var Percentbachelorsdegreeorhig "Log(College Graduates)"
label var medmarijlaw "Medical Marijuana Law"

local i=0

local C2 "i.t"
local C4 "T_GS_HasLaw"
local C5 "pdmp"
local C6 "LogPoliceRate"
local C7 "medmarijlaw"
local C9 "BeertaxrateDollarsperGallo CigarettetaxperpackDollars Percentbachelorsdegreeorhig Percapitapersonalincomedoll Annualaverageunemploymentrate MinWage"

sort ST year
foreach K in `C9' {
replace `K'=`K'[_n-1] if missing(`K')
}

gsort ST -year
foreach K in `C9' {
replace `K'=`K'[_n-1] if missing(`K')
}

sort ST year

ren T_HasNaloxoneLaw R_T_HasNaloxoneLaw
ren O_T_HasNaloxoneLaw T_HasNaloxoneLaw

xtreg  s_All_Rate T_HasNaloxoneLaw `C2' `C4' `C5' `C6'  [aweight=pop_state_2010], fe cluster(st)
eststo mest_0

local di_cov = "T_HasNaloxoneLaw"

****YEAR-LEVEL ANALYSIS, Col(4-8)

use tempData\Rees_Data.dta, clear
set more off

local i=0
encode ST, g(st) 
xtset st my

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"
label var O_T_GS_HasLaw "Good Samaritan Law (GS)"

label var BeertaxrateDollarsperGallo "Log(Beer Tax)"
label var CigarettetaxperpackDollars "Log(Cigar Tax)"
label var Percapitapersonalincomedoll "Log(Per Capita Income)"
label var Annualaverageunemploymentrate "Log(Unemp. Rate)"
label var MinWage "Log(Min Wage)"
label var Percentbachelorsdegreeorhig "Log(College Graduates)"
label var medmarijlaw "Medical Marijuana Law"

local i=0

local C2 "i.y"
local C4 "T_GS_HasLaw"
local C5 "pdmp"
local C6 "LogPoliceRate"
local C7 "medmarijlaw"
local C9 "BeertaxrateDollarsperGallo CigarettetaxperpackDollars Percentbachelorsdegreeorhig Percapitapersonalincomedoll Annualaverageunemploymentrate MinWage"

sort ST year
foreach K in `C9' {
replace `K'=`K'[_n-1] if missing(`K')
}

gsort ST -year
foreach K in `C9' {
replace `K'=`K'[_n-1] if missing(`K')
}

sort ST year

ren T_HasNaloxoneLaw R_T_HasNaloxoneLaw
ren O_T_HasNaloxoneLaw T_HasNaloxoneLaw

xtreg  s_All_Rate T_HasNaloxoneLaw `C2' `C4' `C5' `C6'  [aweight=pop_state_2010], fe cluster(st)
eststo mest_1

xtreg  Log_s_All_Rate T_HasNaloxoneLaw `C2' `C4' `C5' `C6'  [aweight=pop_state_2010], fe cluster(st)
eststo mest_2

drop if year==2015

xtreg  Log_s_All_Rate T_HasNaloxoneLaw `C2' `C4' `C5' `C6'  [aweight=pop_state_2010], fe cluster(st)
eststo mest_3

xtreg  Log_s_All_Rate T_HasNaloxoneLaw `C2' `C4' `C5' `C6' `C7' `C9' [aweight=pop_state_2010], fe cluster(st)
eststo mest_4

drop T_HasNaloxoneLaw
ren R_T_HasNaloxoneLaw T_HasNaloxoneLaw

xtreg  Log_s_All_Rate T_HasNaloxoneLaw `C2' `C4' `C5' `C6' `C7' `C9' [aweight=pop_state_2010], fe cluster(st)
eststo mest_5

local di_cov = "T_HasNaloxoneLaw"

esttab mest_0 mest_1 mest_2 mest_3 mest_4 mest_5 using tables/Mort_Rees.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') star(* .10 ** .05 *** .01) label order(`di_cov') replace