clear all
use Mort_Data.dta

set matsize 11000
set more off

local i=0
xtset CNT my
encode ST, g(st) 

local di_cov = "HN"

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN"
local C2 "TX_2-TX_72"
local C3 ""
local C4 "LogPoliceRate"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"
local C9 ""

foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'" "`C9'"  {
local covariates = "`K'" + " " + "`covariates'"
}

xi i.t
ren _It_* TX_* 


foreach var of varlist `covariates' s_All_Rate s_AllSynthetic_Rate  {
di "`var'"
qui bys CNT: egen `var'avg=mean(`var')
qui g `var'_dem=`var'-`var'avg
}

gen trend=t

levelsof ST, local(levels) 

foreach var of varlist `covariates' s_All_Rate s_AllSynthetic_Rate {

di "`var'"
qui g `var'_resid=.

foreach l of local levels {
di "`l'"
if "`l'"=="NM" | "`l'"=="DC" {
qui replace `var'_resid=`var'_dem if ST=="`l'"
}
else {
qui reg `var'_dem trend if HN==0 & ST=="`l'"
qui predict `var'_`l'resid, r
qui replace `var'_resid=`var'_`l'resid if ST=="`l'"
drop `var'_`l'resid
}
}
}

foreach var of varlist `covariates' s_All_Rate s_AllSynthetic_Rate {
drop `var'
ren `var'_resid `var'
}

foreach D of varlist s_All_Rate s_AllSynthetic_Rate {

local i=`i'+1

xtreg  `D' `covariates' [aweight=pop_state_2010], fe cluster(st)
eststo s`i'

}
 
esttab s1 s2 using tables/PreTrend.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') order(`di_cov') star(* .10 ** .05 *** .01) label replace

 