clear all

forvalues j=10000(5000)60000 {

use tempData/pop_`j'.dta

set matsize 11000
set more off

local i=0
xtset CNT my
encode ST, g(st) 

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0
local covariates=""

local C1 "HN"
local C2 "i.t"
local C3 "c.t##i.st"
local C4 "LogPoliceRate"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"

foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'"  {
local covariates = "`K'" + " " + "`covariates'"
}
  
foreach D of varlist  s_All_Rate s_AllSynthetic_Rate  {

local i=`i'+1

xtreg  `D' `covariates' [aweight=pop_state_2010], fe cluster(st)
eststo s`i'

}

local di_cov = "HN"

esttab s1 s2 using tables/Mort_`j'.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') star(* .10 ** .05 *** .01) label replace
}



