clear all
use tempData\Mort_Data_uns.dta

set matsize 11000
set more off

local i=0
xtset CNT my
encode ST, g(st) 

local di_cov = "HN"

label var prescriptionlimit "Prescription Limit"
label var pdmp "PDMP"
label var physicianexam "Physician Exam"
label var trpf "Tamper Resistant PF"
label var requireid "Require ID"
label var pharmacistverification "Pharm. Verif."
label var doctorshopping "Doctor Shopping"
label var painclinic "Pain Clinic"
label var T_GS_HasLaw "Good Samaritan Law (GS)"

local i=0

local C1 "HN"
local C2 "i.t"
local C3 "c.t##i.st"
local C4 "LogPoliceRate"
local C5 "T_GS_HasLaw"
local C6 "pdmp doctorshopping painclinic"
local C7 "physicianexam pharmacistverification requireid"
local C8 "trpf"
  
foreach D of varlist  s_All_Rate  {

local i=`i'+1
local j=0

local covariates = ""

foreach K in "`C1'" "`C2'" "`C3'" "`C4'" "`C5'" "`C6'" "`C7'" "`C8'" {

local j=`j'+1

local covariates = "`K'" + " " + "`covariates'"
di "`covariates'" 

}

xtreg  `D' `covariates' [aweight=pop_state_2010], fe cluster(st)
eststo s1

}

esttab s1 using tables/Mort_uns.tex,  b(3) se(3) se ar2 booktabs keep(`di_cov') order(`di_cov') star(* .10 ** .05 *** .01) label replace




